Bug 249155 - www/radicale: needs devel/py-pytz dependency
Summary: www/radicale: needs devel/py-pytz dependency
Status: Closed DUPLICATE of bug 249283
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-06 21:35 UTC by Michael Bueker
Modified: 2020-09-13 16:40 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Bueker 2020-09-06 21:35:20 UTC
After upgrading from www/radicale2 (2.x) to www/Radicale (3.x), the daemon was spouting errors: "No module named 'pytz'".

In accordance with https://github.com/Kozea/Radicale/issues/816, installing devel/py-pytz resolved those errors. It should probably be a dependency of www/radicale.
Comment 1 Li-Wen Hsu freebsd_committer 2020-09-07 11:08:15 UTC
Over to maintainer.
Comment 2 Bernhard Froehlich freebsd_committer 2020-09-12 18:40:38 UTC
It sounds like pytz should be a dependency of vobject not radicale. At least I could not find any code in radicale that directly uses pytz.
Comment 3 Michael Bueker 2020-09-12 19:33:27 UTC
That makes sense, thanks for checking. I've opened #249283 against deskutils/py-vobject.

If you don't mind, I'd like to keep this bug open until a decision has been made for #249283, because this problem seems to affect radicale users above all.
Comment 4 Michael Bueker 2020-09-13 16:40:01 UTC
Fixed in deskutils/py-vobject.

*** This bug has been marked as a duplicate of bug 249283 ***